package main

import (
	"fmt"
	"github.com/issue9/conv"
	"math/rand"
	"testing"
	"time"
)

func TestGormUser(t *testing.T) {
	rand.Seed(time.Now().UnixNano())
	res := conv.MustString(rand.Intn(100000-10000) + 10000)
	th := conv.MustString(time.Now().Hour())
	tm := conv.MustString(time.Now().Minute())
	if len(tm) < 2 {
		tm = "0" + tm
	}
	if len(tm) < 2 {
		th = "0" + th
	}

	//td := conv.MustString(time.Now().Day())
	//for {
	//	if len(td) == 3 {
	//		break
	//	}
	//	td = "0" + td
	//}
	fmt.Println("1" + th + tm + res)
}

// func TestDbCreateEnterprise(t *testing.T) {
// 	ctx := context.Background()
// 	config.Init()
// 	newEnterprise := http_model.CreateEnterpriseRequest{
// 		Industry:     2,
// 		BusinessName: "Test公司",
// 		RealName:     "测试员",
// 		Phone:        "13010101010",
// 		Email:        "test@younggee.com",
// 	}
// 	res := service.CreateEnterprise.CreateEnterpriseUser(ctx, newEnterprise)
// 	if res != nil {
// 		fmt.Printf("%+v\n", res)
// 	} else {
// 		fmt.Printf("error\n")
// 	}
// }
